ChangeSet 1.831.15.4, 2002/12/06 13:33:59-06:00, ahaas@airmail.net

[PATCH] C99 initializer for drivers/usb/serial/safe_serial.c

Here's  small patch for the file fixing a few initializers to use C99
style. The patch is against 2.5.50.


diff -Nru a/drivers/usb/serial/safe_serial.c b/drivers/usb/serial/safe_serial.c
--- a/drivers/usb/serial/safe_serial.c	Mon Dec  9 11:41:37 2002
+++ b/drivers/usb/serial/safe_serial.c	Mon Dec  9 11:41:37 2002
@@ -132,13 +132,13 @@
 
 
 #define MY_USB_DEVICE(vend,prod,dc,ic,isc) \
-        match_flags: USB_DEVICE_ID_MATCH_DEVICE | USB_DEVICE_ID_MATCH_DEV_CLASS | \
+        .match_flags = USB_DEVICE_ID_MATCH_DEVICE | USB_DEVICE_ID_MATCH_DEV_CLASS | \
                 USB_DEVICE_ID_MATCH_INT_CLASS | USB_DEVICE_ID_MATCH_INT_SUBCLASS, \
-        idVendor: (vend), \
-        idProduct: (prod),\
-        bDeviceClass: (dc),\
-        bInterfaceClass: (ic), \
-        bInterfaceSubClass: (isc),
+        .idVendor = (vend), \
+        .idProduct = (prod),\
+        .bDeviceClass = (dc),\
+        .bInterfaceClass = (ic), \
+        .bInterfaceSubClass = (isc),
 
 static struct usb_device_id id_table[] = {
 	{MY_USB_DEVICE (0x49f, 0xffff, CDC_DEVICE_CLASS, LINEO_INTERFACE_CLASS, LINEO_INTERFACE_SUBCLASS_SAFESERIAL)},	// Itsy
